[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# CreateShellArgV

Create a null-terminated array of strings from a command-line string

## Declaration

Source position: line 0

`function CreateShellArgV(`
`const prog: string`
`):PPChar; function CreateShellArgV(`
`const prog: Ansistring`
`):PPChar;`

## Description

CreateShellArgV creates a command-line string for executing a shell command using 'sh -c'. The result is a null-terminated array of null-terminated strings suitable for use in fpExecv and friends.

## Errors

If no more memory is available, a heap error may occur.

## See also

fpExecv |  | Execute process
FreeShellArgV |  | Free the result of a CreateShellArgV function

Documentation generated on: Feb 26 2014